psimi25Graph-class {RpsiXML} | R Documentation

## Class "psimi25Graph" ~~~

### Description

A graph object representing data extracted from PSI-MI 2.5 files

### Objects from the Class

Objects can be created by calls of the form `psimi25XML2Graph`

### Slots

`interactors`:
  Object of class `"matrix"`, interactor information in a matrix, Each row represents one interactor. Source IDs are used as row names. Each column represents one annotation. Annotations include: UniProt ID, short label, organism name, and NCBI taxonomy ID. Only those interactors which are the nodes of the psimi25Graph is given.

### Extends

Class `graphNEL`, directly. Class `graphNEL`, by class "graphNEL", distance 2.

### Methods

show
  `signature(object = "psimi25Graph")`: show method
translateSourceID
  `signature(r = "psimi25Graph")`: translate the source ID into other IDs
abstract
  `signature(object="psimi25Graph")`: get the abstract information for the dataset from NCBI

### Author(s)

Tony Chiang <tchiang@ebi.ac.uk> , Jitao David Zhang <j.zhang@dkfz.de>

### See Also

`psimi25XML2Graph`,`S4classpsimi25Hypergraph-class`

### Examples

    showClass("psimi25Graph")

[Package RpsiXML version 1.0.0 Index]